<id>
BoardlinksSP1
</id>

<version>
1.1
</version>

<mod info>
This version for YaBB 1 Gold SP1.

This mod allows an admin to add board-specific page links to the message 
index and thread views for each board.  Links are managed in the Admin Center.

New for SP1: Admin may select to place links table above or below message
index and thread view. Make selection in the Forum Preferences and Settings
section of the Admin Center. 

This mod is based on the Add More Smilies mod by Sniser and dOCda S!.

Install the mod and copy BoardlinksSP1.pl to /Sources and boardlinks.txt to /Variables.
chmod boardlinks.txt to 664.
</mod info>

<author>
Ironwing and Hiryuu
</author>

<homepage>
http://www.mineralarts.com
</homepage>

<edit file>
Sources/Admin.pl
</edit file>

<search for>
        - <a href="$cgi;action=modsettings">$txt{'222'}</a><br>
</search for>

<add after>
        - <a href="$cgi&action=boardlinks">$blinkstxt{'01'}</a><br>
</add after>


<edit file>
Sources/AdminEdit.pl
</edit file>

<search for>
	my @onoff = qw/
		allowpics showyabbcbutt showbdescrip maintenance guestaccess insert_original enable_ubbc enable_news enable_guestposting enable_notification showlatestmember showrecentbar showmarkread showmodify showuserpic showusertext showgenderimage shownewsfader MenuType curposlinks profilebutton autolinkurls emailpassword RegAgree emailwelcome allow_hide_email usetempfile faketruncation emailnewpass/;
</search for>

<add after>
     push(@onoff, "boardlinks");
</add after>

<search for>
	my($snfchecked, $fls1, $fls2, $fls3, $utfchecked, $truncchecked, $mts1, $mts2, $mts3, $tsl6, $tsl5, $tsl4, $tsl3, $tsl2, $tsl1);
</search for>

<add after>
     my($blchecked);
</add after>

<search for>
	if ($maintenance) { $mainchecked = ' checked'; }
</search for>

<add before>
	if ($boardlinks) { $blchecked = ' checked'; }
</add before>

<search for>
	$timeout = $FORM{'timeout'} || 5;
</search for>

<add before>
	$boardlinks = $FORM{'boardlinks'} || 0;
</add before>

<search for>
    <td class="windowbg2" bgcolor="$color{'windowbg2'}"><font size="2">$txt{'379'}</font></td>
    <td class="windowbg2" bgcolor="$color{'windowbg2'}"><input type=checkbox name="enable_news" $newschecked></td>
  </tr><tr>
</search for>

<add before>
    <td class="windowbg2" bgcolor="$color{'windowbg2'}"><font size="2">BoardLinks (checked=bottom, unchecked=top).</font></td>
    <td class="windowbg2" bgcolor="$color{'windowbg2'}"><input type=checkbox name="boardlinks" value="1" $blchecked></td>
  </tr><tr>
</add before>

<search for>
########## Feature Settings ##########
</search for>

<add after>
\$boardlinks = $boardlinks;
</add after>


<edit file>
Sources/Display.pl
</edit file>

<search for>
	$curthreadurl = $curposlinks ? qq~<a href="$cgi;action=display;num=$viewnum" class="nav">$msubthread</a>~ : $msubthread;
</search for>

<add after>
# Begin addon for boardlinksSP1
	$blink = '';
	$i=0;
	$ii=0;
	while($LinkBoard[$i]) {
		if ($LinkBoard[$i] eq $currentboard){
			if ($ii == 0){
				$blink .= qq~<a href="$LinkURL[$i]" target=_blank>$LinkName[$i]</a>~;
				$ii=1;
			} else {
				$blink .= qq~$blinkstxt{'13'}<a href="$LinkURL[$i]" target=_blank>$LinkName[$i]</a>~;
			}
		}
		$i++;
	}
	if ($blink ne ''){
		$blink = qq~<table width="100%" cellpadding=3 cellspacing=0><TD align="center" class="catbg" bgcolor="$color{'titletext'}"><font size=2>$blinkstxt{'12'}$boardname</font><BR>$blink</TD></table><BR><BR>~;
	}
	if ($boardlinks != 1) {$yymain .= "$blink";}
# End addon for boardlinksSP1
</add after>

<search for>
	&template;
</search for>

<add before>
	if ($boardlinks == 1) {$yymain .= "$blink";}
</add before>



<edit file>
Sources/MessageIndex.pl
</edit file>

<search for>
	fopen(FILE,"$vardir/censor.txt");
	while( chomp( $buffer = <FILE> ) ) {
		($tmpa,$tmpb) = split(/=/,$buffer);
		push(@censored,[$tmpa,$tmpb]);
	}
	fclose(FILE);
</search for>

<add after>
# Begin addon for boardlinksSP1
	$blink = '';
	$i=0;
	$ii=0;
	while($LinkBoard[$i]) {
		if ($LinkBoard[$i] eq $currentboard){
			if ($ii == 0){
				$blink .= qq~<a href="$LinkURL[$i]" target=_blank>$LinkName[$i]</a>~;
				$ii=1;
			} else {
				$blink .= qq~$blinkstxt{'13'}<a href="$LinkURL[$i]" target=_blank>$LinkName[$i]</a>~;
			}
		}
		$i++;
	}
	if ($blink ne ''){
		$blink = qq~<table width="100%" cellpadding=3 cellspacing=0><TD align="center" class="catbg" bgcolor="$color{'titletext'}"><font size=2>$blinkstxt{'12'}$boardname</font><BR>$blink</TD></table><BR><BR>~;
	}
	if ($boardlinks != 1) {$yymain .= "$blink";}
# End addon for boardlinksSP1
</add after>

<search for>
	&template;
</search for>

<add before>
	if ($boardlinks == 1) {$yymain .= "$blink";}
</add before>


<edit file>
english.lng
</edit file>

<search for>
$txt{'796'} = "Your Instant Messages:";
</search for>

<add after>

$blinkstxt{'01'} = "Boardlinks";
$blinkstxt{'02'} = "Board";
$blinkstxt{'03'} = "URL of Link";
$blinkstxt{'04'} = "Name of Link";
$blinkstxt{'07'} = "Del?";
$blinkstxt{'08'} = "Add new links here!";
$blinkstxt{'09'} = "Submit Changes";
$blinkstxt{'10'} = "Undo Changes";
$blinkstxt{'11'} = "Current Board Links";
$blinkstxt{'12'} = "Online Resources for ";
$blinkstxt{'13'} = " | ";

</add after>

<edit file>
YaBB.pl
</edit file>

<search for>
require "$sourcedir/Security.pl";
</search for>

<add after>
# Begin addon for boardlinksSP1
if (fopen (FILE, "$vardir/boardlinks.txt") )  {} else {
fopen(FILE, ">>$vardir/boardlinks.txt");
print FILE "1;";
close(FILE);
}
require "$vardir/boardlinks.txt";
# End addon for boardlinksSP1
</add after>

<search for>
	elsif ($action eq 'usersrecentposts') { require "$sourcedir/Profile.pl"; &usersrecentposts; }
</search for>

<add after>
	elsif ($action eq 'boardlinks') { require "$sourcedir/BoardlinksSP1.pl"; &BoardlinksPanel; }
	elsif ($action eq 'updateblinks') { require "$sourcedir/BoardlinksSP1.pl"; &updateblinks; }
</add after>